> For the complete documentation index, see [llms.txt](https://docs.graphlit.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphlit.dev/api-guides/use-cases/feeds/calendars/feed-create-google-calendar.md).

# Create Google Calendar Feed

## User Intent

"How do I sync Google Calendar events? Show me Google Calendar feed configuration."

## Operation

**SDK Method**: `createFeed()` with FeedTypes.Calendar\
**OAuth**: Required

***

## Code Example (TypeScript)

```typescript
import { Graphlit } from 'graphlit-client';
import {
  FeedTypes,
  FeedServiceTypes,
  GoogleCalendarsInput,
} from 'graphlit-client/dist/generated/graphql-types';

const graphlit = new Graphlit();

// Enumerate available calendars for the connected Google account
const calendarsResponse = await graphlit.queryGoogleCalendars({
  clientId: process.env.GOOGLE_CLIENT_ID!,
  clientSecret: process.env.GOOGLE_CLIENT_SECRET!,
  refreshToken: process.env.GOOGLE_REFRESH_TOKEN!,
});

const calendars = calendarsResponse.googleCalendars?.results ?? [];

if (calendars.length === 0) {
  throw new Error('No calendars available for the provided credentials');
}

const calendarId = calendars[0]?.calendarId!;
console.log(`Using calendar: ${calendars[0]?.calendarName} (${calendarId})`);

const feed = await graphlit.createFeed({
  name: 'Engineering Calendar',
  type: FeedTypes.Calendar,
  calendar: {
    type: FeedServiceTypes.GoogleCalendar,
    token: process.env.GOOGLE_OAUTH_TOKEN!,
    calendarId,
    readLimit: 100,
  },
  // Optional: add workflow for content processing
  // workflow: { id: workflow.createWorkflow.id }
});

console.log(`Created Google Calendar feed: ${feed.createFeed.id}`);
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graphlit.dev/api-guides/use-cases/feeds/calendars/feed-create-google-calendar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
